Package org.apache.sysds.runtime.matrix.operators

# Class QuaternaryOperator

java.lang.Object
org.apache.sysds.runtime.matrix.operators.Operator
org.apache.sysds.runtime.matrix.operators.QuaternaryOperator

All Implemented Interfaces:
  `Serializable`

public class QuaternaryOperator extends Operator

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final ValueFunction`
`fn`
`final WeightedSquaredLoss.WeightsType`
`wtype1`
`final WeightedSigmoid.WSigmoidType`
`wtype2`
`final WeightedDivMM.WDivMMType`
`wtype3`
`final WeightedCrossEntropy.WCeMMType`
`wtype4`
`final WeightedUnaryMM.WUMMType`
`wtype5`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

## Constructor Summary

Constructors
Constructor
Description
`QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt)`
wcemm
`QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt, double epsilon)`
wcemm w/epsilon
`QuaternaryOperator(WeightedDivMM.WDivMMType wt)`
wdivmm
`QuaternaryOperator(WeightedDivMM.WDivMMType wt, double epsilon)`
wdivmm w/epsilon
`QuaternaryOperator(WeightedSigmoid.WSigmoidType wt)`
wsigmoid
`QuaternaryOperator(WeightedSquaredLoss.WeightsType wt)`
wsloss
`QuaternaryOperator(WeightedUnaryMM.WUMMType wt, String op)`
wumm

## Method Summary

Modifier and Type
Method
Description
`double`
`getScalar()`
Obtain epsilon value
`boolean`
`hasFourInputs()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wtype1

public final WeightedSquaredLoss.WeightsType wtype1

### wtype2

public final WeightedSigmoid.WSigmoidType wtype2

### wtype3

public final WeightedDivMM.WDivMMType wtype3

### wtype4

public final WeightedCrossEntropy.WCeMMType wtype4

### wtype5

public final WeightedUnaryMM.WUMMType wtype5

### fn

public final ValueFunction fn

## Constructor Details

### QuaternaryOperator

public QuaternaryOperator(WeightedSquaredLoss.WeightsType wt)
wsloss

Parameters:
  `wt` - Weights type

### QuaternaryOperator

public QuaternaryOperator(WeightedSigmoid.WSigmoidType wt)
wsigmoid

Parameters:
  `wt` - WSigmoid type

### QuaternaryOperator

public QuaternaryOperator(WeightedDivMM.WDivMMType wt)
wdivmm

Parameters:
  `wt` - WDivMM type

### QuaternaryOperator

public QuaternaryOperator(WeightedDivMM.WDivMMType wt, double epsilon)
wdivmm w/epsilon

Parameters:
  `wt` - WDivMM type
  `epsilon` - the epsilon value

### QuaternaryOperator

public QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt)
wcemm

Parameters:
  `wt` - WCeMM type

### QuaternaryOperator

public QuaternaryOperator(WeightedCrossEntropy.WCeMMType wt, double epsilon)
wcemm w/epsilon

Parameters:
  `wt` - WCeMM type
  `epsilon` - the epsilon value

### QuaternaryOperator

public QuaternaryOperator(WeightedUnaryMM.WUMMType wt, String op)
wumm

Parameters:
  `wt` - WUMM type
  `op` - operator type

## Method Details

### hasFourInputs

public boolean hasFourInputs()

### getScalar

public double getScalar()
Obtain epsilon value

Returns:
  epsilon